<?php

// db.php

$host = 'localhost'; // genelde localhost
$db   = 'madanqvv_mhs143'; // 🔁 kendi DB adın
$user = 'madanqvv_mhs143';  // 🔁 kendi kullanıcı adın
$pass = '1&,bDk52%Sv1';  // 🔁 kendi şifren
$charset = 'utf8mb4';

$dsn = "mysql:host=$host;dbname=$db;charset=$charset";

$options = [
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION, // Hataları göster
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,       // Fetch sonucu dizi olsun
    PDO::ATTR_EMULATE_PREPARES   => false,                  // SQL injection'a karşı koruma
];

try {
    $pdo = new PDO($dsn, $user, $pass, $options);
} catch (\PDOException $e) {
    exit('Veritabanı bağlantı hatası: ' . $e->getMessage());
}
